.switch{
	input[type="checkbox"]{
		&:checked + .tip{
			background: $narrojo;
			&:after{
				left: calc(100% - .3em);
				@include transform(translate(-100%, -50%));
			}
		}
		& + .tip{
			display: block;
			cursor: pointer;
			text-indent: -9999px;
			width: 4em;
			min-width: 4em;
			height: 2em;
			background: negro(1);
			display: block;
			position: relative;
			border: 1px solid negro(3);
			user-select: none; // unselectable
			touch-action: manipulation; // disables tap zoom
			@include border-radius(1em);
			@include transition(.3s all ease-out);
			@include box-sizing(border-box);
			&:after{
				content: '';
				position: absolute;
				top: 50%;
				left: .3em;
				width: 1.4em;
				height: 1.4em;
				background: #fff;
				@include transform(translate(0, -50%));
				@include border-radius(50%);
				@include transition(.3s all ease-out);
			}
		}
	}
}